// gnome.xonotic.in.ua

textures/base_door/shinymetaldoor_outside
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25
		rgbgen identity
	}
	{
		map textures/base_door/shinymetaldoor_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map textures/base_door/quake3sign_outside.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
	}
}

textures/charon_dm10/charon3dm10_skybox1
{
	qer_editorimage textures/skies/space1_bk.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_lightimage textures/common/white.tga
	q3map_sun .9 .85 0.7 85 -55 79
	q3map_surfacelight 165
	skyparms env/space1 - -
	{
		map textures/skies/killsky_2.tga
		blendfunc gl_one gl_one
		tcmod scroll 0.02 0.03
		tcmod scale 3 2
	}
}

textures/charon_dm10/charon_4bouncer02
{
	qer_editorimage textures/charon_dm10/4_bouncer02.tga
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 300
	{
		map textures/charon_dm10/bloodwall1sm.tga
		tcmod rotate 30
		tcmod stretch sin .7 0.3 0 .4
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_bouncer02.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/charon_dm10/charon_4bpanel02
{
	qer_editorimage textures/charon_dm10/4_b_panel02.tga
	q3map_lightimage textures/charon_dm10/4_b_panel02.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	{
		map textures/charon_dm10/bloodwall1sm.tga
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_b_panel02.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/charon_dm10/charon_4light01_10k
{
	qer_editorimage textures/charon_dm10/4_light01.tga
	q3map_lightimage textures/charon_dm10/4_light01.tga
	q3map_surfacelight 10000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4light01_1k
{
	qer_editorimage textures/charon_dm10/4_light01.tga
	q3map_lightimage textures/charon_dm10/4_light01.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4light01_5k
{
	qer_editorimage textures/charon_dm10/4_light01.tga
	q3map_lightimage textures/charon_dm10/4_light01.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light01.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4light02_1k
{
	qer_editorimage textures/charon_dm10/4_light02.tga
	q3map_lightimage textures/charon_dm10/4_light02.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light02.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4light02_5k
{
	qer_editorimage textures/charon_dm10/4_light02.tga
	q3map_lightimage textures/charon_dm10/4_light02.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_light02.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4trimlight01_1k
{
	qer_editorimage textures/charon_dm10/4_trimllight01.tga
	q3map_lightimage textures/charon_dm10/4_trimllight01.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_trimllight01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_trimllight01.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_4trimlight01_5k
{
	qer_editorimage textures/charon_dm10/4_trimllight01.tga
	q3map_lightimage textures/charon_dm10/4_trimllight01.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_trimllight01.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm10/4_trimllight01.tga
		blendfunc gl_one gl_one
	}
}

textures/charon_dm10/charon_jackwarp01
{
	qer_editorimage textures/charon_dm10/jackboot_warp01.tga
	q3map_lightimage textures/charon_dm10/jackboot_warp01.tga
	q3map_surfacelight 300
	q3map_globaltexture
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	deformvertexes wave 64 sin .5 .5 0 .5
	cull disable
	{
		map textures/charon_dm10/jackboot_warp01.tga
		tcmod scroll 1.00 0.00
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/charon_dm10/whiteflare
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/charon_dm10/whiteflare.tga
		blendfunc gl_one gl_one
	}
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/sfx/beam
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

textures/sfx/beam_red
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .5
	cull none
	{
		map textures/sfx/beam_red.tga
		tcmod scroll .3 0
		blendfunc add
	}
}

